Subject: Re: bug#58745: 29.0.50; eglot managed-major-mode must be a list

From: João Távora <[email-masked]>
Date: Thu, 27 Oct 2022 18:39:19 +0100

> João already fixed this on master (but didnʼt put (Bug#58745) in the
> commit message).

I think it was Stephen's commit:

commit 31945b6c3fcbdb6f242f0063811d2fb91e4520cd
Author: Stephen Leake <[email-masked]>
Date:   Tue Oct 25 02:15:13 2022 -0700

  * lisp/progmodes/eglot.el (eglot): Ensure managed-major-mode is a list

I just fixed a bug this introduced in a subsequent commit (didn't use a bug
id
because neither did the original commit and the fix was somewhat urgent,
as M-x eglot was broken.  So I didn't search the db for one.):

commit 0b1eda215d32839c9f6281d20f8a347f34bb5ab5
Author: João Távora <[email-masked]>
Date:   Tue Oct 25 10:34:08 2022 +0100

  Fix M-x eglot breakage due to typo

  * lisp/progmodes/eglot.el (eglot): Fix bug.